package com.fjhx.customer.controller.xiaoman;

import com.fjhx.customer.service.xiaoman.XiaomanApiService;
import com.ruoyi.common.core.domain.AjaxResult;
import org.springframework.web.bind.annotation.*;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.customer.entity.xiaoman.vo.XiaomanCustomerVo;
import com.fjhx.customer.entity.xiaoman.dto.XiaomanCustomerSelectDto;
import com.fjhx.customer.entity.xiaoman.dto.XiaomanCustomerDto;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.fjhx.customer.service.xiaoman.XiaomanCustomerService;
import org.springframework.beans.factory.annotation.Autowired;

import javax.annotation.Resource;
import java.util.List;
import java.util.concurrent.atomic.AtomicBoolean;

/**
 * <p>
 * 小满客户表 前端控制器
 * </p>
 *
 * @author lqh
 * @since 2024-04-06
 */
@RestController
@RequestMapping("/xiaomanCustomer")
public class XiaomanCustomerController {


    @Autowired
    private XiaomanCustomerService xiaomanCustomerService;

    /**
     * 小满客户表列表
     */
    @PostMapping("/list")
    public List<XiaomanCustomerVo> list(@RequestBody XiaomanCustomerSelectDto dto) {
        return xiaomanCustomerService.getList(dto);
    }

    /**
     * 小满客户表分页
     */
    @PostMapping("/page")
    public Page<XiaomanCustomerVo> page(@RequestBody XiaomanCustomerSelectDto dto) {
        return xiaomanCustomerService.getPage(dto);
    }

    /**
     * 小满客户表明细
     */
    @PostMapping("/detail")
    public XiaomanCustomerVo detail(@RequestBody BaseSelectDto dto) {
        return xiaomanCustomerService.detail(dto.getId());
    }

    /**
     * 小满客户表新增
     */
    @PostMapping("/add")
    public void add(@RequestBody XiaomanCustomerDto xiaomanCustomerDto) {
        xiaomanCustomerService.add(xiaomanCustomerDto);
    }

    /**
     * 小满客户表编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody XiaomanCustomerDto xiaomanCustomerDto) {
        xiaomanCustomerService.edit(xiaomanCustomerDto);
    }

    /**
     * 小满客户表删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        xiaomanCustomerService.delete(dto.getId());
    }
    /**
     * 小满客户表删除
     */
    @PostMapping("/initAllList")
    public AjaxResult initAllList() {
        try {
            xiaomanCustomerService.initAllList();
            return AjaxResult.success();
        }catch (Exception e){
            return AjaxResult.error(e.getMessage());
        }
    }


    /**
     * 小满客户表删除
     */
    @PostMapping("/updateList")
    public void updateList() {
        xiaomanCustomerService.updateList();
    }

}
